#
# spec file for package lcov
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lcov
Version:        1.11
Release:        3.1
Summary:        A Graphical GCOV Front-end
License:        GPL-2.0+
Group:          Development/Tools/Other
Url:            http://ltp.sourceforge.net/coverage/lcov.php
Source:         http://downloads.sourceforge.net/ltp/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-except-unreach.patch
Requires:       gcc
Requires:       perl-GD
Conflicts:      kernel-coverage < 0.1-49
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
LCOV is a graphical front-end for GCC's coverage testing tool gcov. It collects
gcov data for multiple source files and creates HTML pages containing the
source code annotated with coverage information. It also adds overview pages
for easy navigation within the file structure.

%prep
%setup -q
%patch0 -p1

%build

%install
make install PREFIX=%{buildroot}

%files
%defattr(644,root,root)
%config %{_sysconfdir}/lcovrc
%{_mandir}/man1/lcov.1.gz
%{_mandir}/man1/genhtml.1.gz
%{_mandir}/man1/geninfo.1.gz
%{_mandir}/man1/genpng.1.gz
%{_mandir}/man1/gendesc.1.gz
%{_mandir}/man5/lcovrc.5.gz
%defattr(-,root,root)
%{_bindir}/lcov
%{_bindir}/genhtml
%{_bindir}/geninfo
%{_bindir}/genpng
%{_bindir}/gendesc

%changelog
* Tue May  5 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
* Sun Jun  1 2014 vmiklos@collabora.co.uk
- Update to version 1.11:
  + Improved support for GCC 4.7
  + Improved performance for specific functions
  + Compatibility support for LLVM's gcov
  + Multiple bug fixes and documentation improvements
- Adapt lcov-1.10-except-unreach.patch to upstream changes
  >  lcov-1.11-except-unreach.patch
* Mon Jan 14 2013 vmiklos@suse.cz
- Update to version 1.10
  + drop lcov-1.9-gcc-compat-4.7.patch, already in upstream
  + carry over lcov-1.9-except-unreach.patch, fixed in post-1.10 CVS
* Sun Jan 13 2013 vmiklos@suse.cz
- add lcov-1.9-except-unreach.patch and lcov-1.9-gcc-compat-4.7.patch to make
  lcov work with gcc-4.7
* Mon Jan 10 2011 poletti.marco@gmail.com
- Update to version 1.9
  + geninfo now prints debugging messages to stderr instead of
    stdout.
  + Some fixes.
  + Added a --list-full-path option for lcov.
  + Added lcov_list_width and lcov_list_truncate_max directives to
    the lcov configuration file to allow for list output
    customization.
  + Improved lcov's list output.
* Sun Feb  7 2010 poletti.marco@gmail.com
- Update to version 1.8
  + Added support for branch coverage measurements
  + Bug fixes
  + genhtml: Added --demangle-cpp option, improved color legend
  + genhtml: Improved coverage rate limits
  + geninfo: Added --derive-func-data and --debug options
  + geninfo: Added support for exclusion markers to exclude source lines
  + lcov: Added support for the linux-2.6.31 upstream gcov kernel support
  + lcov: Added --from-package, --to-package and --derive-func-data options
  + lcov: Added overall coverage result output for more operations
* Thu Sep 24 2009 poletti.marco@gmail.com
- initial package of lcov (version 1.7)
